OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_EvaluatedDegeneratePcurve Class Reference

`#include <StepGeom_EvaluatedDegeneratePcurve.hxx>`

Inheritance diagram for StepGeom_EvaluatedDegeneratePcurve:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_EvaluatedDegeneratePcurve ()
| Returns a EvaluatedDegeneratePcurve .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Surface)&aBasisSurface, const Handle(StepRepr_DefinitionalRepresentation)&aReferenceToCurve)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Surface)&aBasisSurface, const Handle(StepRepr_DefinitionalRepresentation)&aReferenceToCurve, const Handle(StepGeom_CartesianPoint)&aEquivalentPoint)
Standard_EXPORT void | SetEquivalentPoint (const Handle(StepGeom_CartesianPoint)&aEquivalentPoint)
Standard_EXPORT Handle_StepGeom_CartesianPoint | EquivalentPoint () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_CartesianPoint | equivalentPoint

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_EvaluatedDegeneratePcurve::StepGeom_EvaluatedDegeneratePcurve | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_CartesianPoint StepGeom_EvaluatedDegeneratePcurve::EquivalentPoint | ( |  | ) | const

Standard_EXPORT const StepGeom_EvaluatedDegeneratePcurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_DegeneratePcurve.

virtual Standard_EXPORT void StepGeom_EvaluatedDegeneratePcurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Surface)& | aBasisSurface,
|  | const Handle(StepRepr_DefinitionalRepresentation)& | aReferenceToCurve,
|  | const Handle(StepGeom_CartesianPoint)& | aEquivalentPoint
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_EvaluatedDegeneratePcurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Surface)& | aBasisSurface,
|  | const Handle(StepRepr_DefinitionalRepresentation)& | aReferenceToCurve
| ) | `[virtual]`

| Reimplemented from StepGeom_DegeneratePcurve.

Standard_EXPORT void StepGeom_EvaluatedDegeneratePcurve::SetEquivalentPoint | ( | const Handle(StepGeom_CartesianPoint)& | aEquivalentPoint | ) |

## Field Documentation

Handle_StepGeom_CartesianPoint StepGeom_EvaluatedDegeneratePcurve::equivalentPoint`[private]`

The documentation for this class was generated from the following file:

- StepGeom_EvaluatedDegeneratePcurve.hxx